import argparse


arg_parser = argparse.ArgumentParser()

arg_parser.add_argument("-H", "--host", dest="hostname", type=str, default="0.0.0.0")
arg_parser.add_argument("-p", "--port", dest="port", type=int, default=57823)

arguments = arg_parser.parse_args()


if arguments:
    import ssl
    import socket

    context = ssl.create_default_context()

    with socket.socket(socket.AF_INET, socket.SOCK_STREAM) as sock_server:
        sock_server.bind((arguments.hostname, arguments.port))
        sock_server.listen(5)

        with context.wrap_socket(sock_server, server_side=True) as ssl_sock_server:
            data = ssl_sock_server.recv()
            print(data)
